# Card program object

The card program object represents a card program in your platform. Read more about card programs [here](/card-issuing/card-programs).

### Object Parameters

- `bin_ranges` `array of objects` — The BIN ranges for the card program
  - `bin_lower_bound_inclusive` `string` — The lower bound of the BIN range (inclusive)
  - `bin_upper_bound_inclusive` `string` — The upper bound of the BIN range (inclusive)
  - `id` `string` — The ID of the BIN range
  - `is_active` `boolean` — Whether this BIN range is active
  - `scheme` `enum` — The card scheme for this BIN range
    Possible values: `visa`, `mastercard`
- `card_authorization_policy_id` `string` — The ID of the card authorization policy
- `card_program_type` `enum` — The type of card program. Possible values: `credit`, `charge`, `debit`
- `created_at` `date-time` — The creation date of the card program
- `credit_policy` `enum` — The credit policy for credit and charge card programs. Required when
  `card_program_type` is `credit` or `charge`. Possible values are `unsecured`,
  `cardholder_secured`, and `platform_secured`.
  Possible values: `unsecured`, `cardholder_secured`, `platform_secured`
- `default_card_template_id` `string` — The default card template ID of the card program
- `description` `string` — The description of the card program
- `id` `string` — The ID of the card program
- `primary_card_scheme` `enum` — The primary card scheme of the card program. Possible values: `visa`, `mastercard`
- `secondary_card_scheme` `enum` — The secondary card scheme of the card program. Possible values: `interlink`, `maestro`
- `status` `enum` — The status of the card program. Possible values: `active`, `closed`

**Response 200**

```json
{
  "bin_ranges": [
    {
      "bin_lower_bound_inclusive": "4111111100000000",
      "bin_upper_bound_inclusive": "4111111199999999",
      "id": "cbrg_2x8gszy5folpA9s0TOCseE9ABDM",
      "is_active": false,
      "scheme": "visa"
    }
  ],
  "card_authorization_policy_id": "caup_2x8gszy5folpA9s0TOCseE9ABDM",
  "card_program_type": "credit",
  "created_at": "2024-01-15T09:30:00Z",
  "credit_policy": "unsecured",
  "default_card_template_id": "ctmp_2x8gszy5folpA9s0TOCseE9ABDM",
  "description": "Corporate credit card program",
  "id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
  "primary_card_scheme": "visa",
  "secondary_card_scheme": "interlink",
  "status": "active"
}
```
